From: Hubert Chathi <uhoreg@debian.org>
Date: Sun, 22 Jan 2023 20:52:34 +0100
Subject: _bashism.dpatch

Description Fix unportable backslash in call to echo.
Bug-Debian: https://bugs.debian.org/486052
---
 src/shell/noweave    | 2 +-
 src/shell/noweave.nw | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/shell/noweave b/src/shell/noweave
index dad8b02..bb33365 100644
--- a/src/shell/noweave
+++ b/src/shell/noweave
@@ -100,7 +100,7 @@ while [ $# -gt 0 ]; do
                                                    echo "                  or perform other functions." 1>&2
                                                    echo "-autodefs lang    Source is in language 'lang'; find definitions automatically." 1>&2
                                                    echo "-showautodefs     List languages that can be used with -autodefs" 1>&2
-                                                   echo '-option opt       Add \noweboptions{opt} to header (latex only)' 1>&2
+                                                   printf '-option opt       Add \\noweboptions{opt} to header (latex only)\n' 1>&2
                                                    echo "-delay            Delay markup until after first documentation chunk." 1>&2
                                                    echo "-tk               Expand tab stops every k columns" 1>&2
                                                    echo "-t                Copy tabs to the output" 1>&2
diff --git a/src/shell/noweave.nw b/src/shell/noweave.nw
index d2e9cb0..8ff9037 100644
--- a/src/shell/noweave.nw
+++ b/src/shell/noweave.nw
@@ -347,7 +347,7 @@ HTML.
          if [ "X$newopt" = "Xlongxref" ];  then shortxref="-longxref";  fi
          <<add [[$newopt]] to [[noweboptions]]>> ;;
 <<option printout for usage>>=
-echo '-option opt	Add \noweboptions{opt} to header (latex only)' 1>&2
+printf '-option opt	Add \\noweboptions{opt} to header (latex only)\n' 1>&2
 @ \iffalse
 <<noweave man page option table>>=
 .TP 
